varying vec3 normal;
varying vec4 ecPos;

void main()
{
	normal = normalize(gl_NormalMatrix * gl_Normal);
	ecPos = gl_ModelViewMatrix * gl_Vertex;

	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;

   	gl_Position = ftransform();
}
